hairpin_loops.h File Reference
Processing and Evaluating Decomposed Loops

Energy evaluation of hairpin loops for MFE and partition function calculations. More...

Include dependency graph for hairpin_loops.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Functions

PRIVATE int | E_Hairpin (int size, int type, int si1, int sj1, const char *string, vrna_param_t *P)
| Compute the Energy of a hairpin-loop. More...
PRIVATE FLT_OR_DBL | exp_E_Hairpin (int u, int type, short si1, short sj1, const char *string, vrna_exp_param_t *P)
| Compute Boltzmann weight of a hairpin loop. More...
int | vrna_eval_hp_loop (vrna_fold_compound_t *vc, int i, int j)
| Evaluate free energy of a hairpin loop. More...
int | vrna_eval_ext_hp_loop (vrna_fold_compound_t *vc, int i, int j)
| Evaluate free energy of an exterior hairpin loop.
int | vrna_E_hp_loop (vrna_fold_compound_t *vc, int i, int j)
| Evaluate the free energy of a hairpin loop and consider possible hard constraints. More...
int | vrna_E_ext_hp_loop (vrna_fold_compound_t *vc, int i, int j)
| Evaluate the free energy of an exterior hairpin loop and consider possible hard constraints. More...
FLT_OR_DBL | vrna_exp_E_hp_loop (vrna_fold_compound_t *vc, int i, int j)
| High-Level function for hairpin loop energy evaluation (partition function variant) More...
int | vrna_BT_hp_loop (vrna_fold_compound_t *vc, int i, int j, int en, vrna_bp_stack_t *bp_stack, int *stack_count)
| Backtrack a hairpin loop closed by . More...

## Detailed Description

Energy evaluation of hairpin loops for MFE and partition function calculations.